package net.roseindia.main;

import java.util.Iterator;
import java.util.List;

import net.roseindia.bean.Student;
import net.roseindia.util.HibernateUtil;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;

public class SelectCriteria {

	@SuppressWarnings("unchecked")
	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		Student student = null;

		try {
			// Creating a Criteria instance
			Criteria criteria = session.createCriteria(Student.class);
			criteria.add(Restrictions.eq("name", "John"));
			List list = criteria.list();
			Iterator itr = list.iterator();
			System.out.println("\n");
			System.out.println("Student Details :- \n");
			if (list.size() == 0) {
				System.out.println("No Result Found !");
			}
			while (itr.hasNext()) {
				student = (Student) itr.next();
				System.out.printf("\t");
				System.out.println("Roll No: " + student.getRollNo());
				System.out.printf("\t");
				System.out.println("Name : " + student.getName());
				System.out.printf("\t");
				System.out.println("Course : " + student.getCourse());
				System.out.printf("\t");
				System.out.println("Address: " + student.getAddress());
				System.out.printf("\t");
			}

		} catch (HibernateException e) {

			e.printStackTrace();
		} finally {
			session.close();
		}

	}

}
